/**
 * 
 */
package com.as.lyons.rest.svc.rtn;

import java.util.List;

/**
 * Detailed information about a Financial Institution Routing Number.
 * 
 * @author kredding
 *
 */
public class InstitutionRoutingNumber {
	private String routingNumber;
	private String purpose;
	private String fractional;
	private boolean correspondent;
	private boolean active = true;
	private boolean preferred= true;
	private boolean useForTransactions = true;
	private String notes;	
	private List<RoutingNumberHistory> history;

	/**
	 * Gets the value of the routingNumber property.
	 * 
	 * @return routingNumber
	 * 
	 */
	public String getRoutingNumber() {
		return routingNumber;
	}

	/**
	 * Sets the value of the routingNumber property.
	 * 
	 * @param value the routingNumber to set
	 * 
	 */
	public void setRoutingNumber(String value) {
		this.routingNumber = value;
	}

	/**
	 * Gets the value of the purpose property.
	 * 
	 * @return purpose
	 * 
	 */
	public String getPurpose() {
		return purpose;
	}

	/**
	 * Sets the value of the purpose property.
	 * 
	 * @param value the purpose to set
	 * 
	 */
	public void setPurpose(String value) {
		this.purpose = value;
	}

	/**
	 * Gets the value of the fractional property.
	 * 
	 * @return history
	 * 
	 */
	public String getFractional() {
		return fractional;
	}

	/**
	 * Sets the value of the fractional property.
	 * 
	 * @param value the fractional to set
	 * 
	 */
	public void setFractional(String value) {
		this.fractional = value;
	}
	
	/**
	 * Gets the value of the correspondent property.
	 * 
	 * @return correspondent
	 * 
	 */
	public boolean getCorrespondent() {
		return correspondent;
	}

	/**
	 * Sets the value of the correspondent property.
	 * 
	 * @param value the correspondent to set
	 * 
	 */
	public void setCorrespondent(boolean value) {
		this.correspondent = value;
	}
	
	/**
	 * Gets the value of the active property.
	 * 
	 * @return active
	 * 
	 */
	public boolean getActive() {
		return active;
	}

	/**
	 * Sets the value of the active property.
	 * 
	 * @param value the active to set
	 * 
	 */
	public void setActive(boolean value) {
		this.active = value;
	}
	
	/**
	 * Gets the value of the preferred property.
	 * 
	 * @return preferred
	 * 
	 */
	public Boolean getPreferred() {
		return preferred;
	}

	/**
	 * Sets the value of the preferred property.
	 * 
	 * @param value the preferred to set
	 * 
	 */
	public void setPreferred(Boolean value) {
		this.preferred = value;
	}
	
	/**
	 * Gets the value of the useForTransactions property.
	 * 
	 * @return useForTransactions
	 * 
	 */
	public boolean getUseForTransactions() {
		return useForTransactions;
	}

	/**
	 * Sets the value of the useForTransactions property.
	 * 
	 * @param value the useForTransactions to set
	 * 
	 */
	public void setUseForTransactions(boolean value) {
		this.useForTransactions = value;
	}
	

	/**
	 * Gets the value of the notes property.
	 * 
	 * @return notes
	 * 
	 */
	public String getNotes() {
		return notes;
	}

	/**
	 * Sets the value of the notes property.
	 * 
	 * @param value the notes to set
	 * 
	 */
	public void setNotes(String value) {
		this.notes = value;
	}

	

	/**
	 * Gets the value of the history property.
	 * 
	 * @return history
	 * 
	 */
	public List<RoutingNumberHistory> getHistory() {
		return history;
	}

	/**
	 * Sets the value of the history property.
	 * 
	 * @param value the history to set
	 * 
	 */
	public void setHistory(List<RoutingNumberHistory> value) {
		this.history = value;
	}

}